[#--

    Copyright (c) 2011-present Sonatype, Inc. All rights reserved.
    Includes the third-party code listed at http://links.sonatype.com/products/clm/attributions.
    "Sonatype" is a trademark of Sonatype, Inc.

--]
[#-- @ftlvariable name="configError" type="java.lang.String" --]
[#if configError?has_content]
    [@ui.messageBox type='error']
      <p class="title">${configError}</p>
    [/@ui.messageBox]
[/#if]

[@ww.label labelKey='clm.task.failOnClmFailures' name='failOnClmFailures' hideOnNull='true' /]

[#-- @ftlvariable name="clmOrg" type="com.sonatype.clm.dto.model.organization.OrganizationSummary" --]
[#-- @ftlvariable name="clmOrgId" type="java.lang.String" --]
[#-- @ftlvariable name="clmOrgIdType" type="java.lang.String" --]
[#if clmOrg?has_content ]
  [#assign clmOrgLabel = clmOrg.name?html /]
[#else]
  [#if clmOrgIdType == "selected"]
    [#assign clmOrgLabelKey ="clm.task.org.deleted.label" /]
  [#else]
    [#assign clmOrgLabelKey ="clm.task.org.label" /]
  [/#if]
  [@ww.text id="clmOrgLabel" name=clmOrgLabelKey]
    [@ww.param]${clmOrgId?html}[/@ww.param]
  [/@ww.text]
[/#if]
[@ww.label labelKey='clm.task.org' escape="false"]
  [@ww.param name="value"]clmOrgLabel[/@ww.param]
[/@ww.label]

[#-- @ftlvariable name="clmApp" type="com.sonatype.clm.dto.model.application.ApplicationSummary" --]
[#-- @ftlvariable name="clmAppId" type="java.lang.String" --]
[#-- @ftlvariable name="clmAppIdType" type="java.lang.String" --]
[#if clmApp?has_content ]
  [#assign clmAppLabel = clmApp.name?html /]
[#else]
  [#if clmAppIdType == "selected"]
    [#assign clmAppLabelKey ="clm.task.app.deleted.label" /]
  [#else]
    [#assign clmAppLabelKey ="clm.task.app.label" /]
  [/#if]
  [@ww.text id="clmAppLabel" name=clmAppLabelKey]
    [@ww.param]${clmAppId?html}[/@ww.param]
  [/@ww.text]
[/#if]
[@ww.label labelKey='clm.task.app' escape="false"]
  [@ww.param name="value"]clmAppLabel[/@ww.param]
[/@ww.label]

[#-- @ftlvariable name="clmStage" type="com.sonatype.clm.dto.model.policy.Stage" --]
[#-- @ftlvariable name="clmStageTypeId" type="java.lang.String" --]
[#if clmStage?has_content ]
  [#assign clmStageLabel = clmStage.stageName?html /]
[#else]
  [#assign clmStageLabel]<i>${clmStageTypeId?html}</i> ([@ww.text name="clm.task.stage.invalid" /])[/#assign]
[/#if]
[@ww.label labelKey='clm.task.stage' escape="false"]
  [@ww.param name="value"]clmStageLabel[/@ww.param]
[/@ww.label]

[@ww.label labelKey='clm.task.scan.targets' name='clmScanTargets' hideOnNull='true' /]
[@ww.label labelKey='clm.task.module.excludes' name='clmModuleExcludes' hideOnNull='true' /]
[@ww.label labelKey='clm.task.scan.properties' name='clmScanProperties' hideOnNull='true' /]
